View Issue Details

IDProjectCategoryView StatusLast Update
0026479LazarusDatabasepublic2014-08-01 01:10
ReporterJack LinkeAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product VersionProduct BuildStable 
Target VersionFixed in Version1.4 
Summary0026479: Suggested addition of SQLite Demonstration for the Examples folder
DescriptionThe attached Lazarus project includes the following:
- Creation of an SQLite3 Database
- Encrypting the database using a key
- Changing (or setting if not initially set) the encryption key for the database after it has been created
- Creation of a database table
- Creating an Index
- Adding a row of data to the table
- Performing a very basic query
- Setting and reading various database metadata (Pragma)

The included Readme.txt has detailed information for the end user.

The project includes work/corrections by:
- jdlinke
- BigChimp
- Mike.Cornflake
Steps To ReproduceN/A
Additional InformationPlease let me know if any modifications are needed before this can be included with the examples.
Tagssqlite
Fixed in Revision46000
LazTarget-
Widgetset
Attached Files

Activities

Jack Linke

2014-07-13 18:35

reporter  

SQLite3 Demo.zip (10,764 bytes)

Jack Linke

2014-07-13 19:08

reporter   ~0076207

I apologize for the misplacement, these need to be moved to the Lazarus Tracker.

Reinier Olislagers

2014-07-31 10:30

developer   ~0076398

Ping. When I had a look at the program, it looked ok (not surprising given Jack's description above) ;)

Maxim Ganetsky

2014-07-31 23:14

developer   ~0076402

Added, thanks. Please close if OK.

Jack Linke

2014-08-01 01:08

reporter   ~0076403

Thanks much guys!

Jack Linke

2014-08-01 01:10

reporter   ~0076404

Thanks for adding this.

Issue History

Date Modified Username Field Change
2014-07-13 18:35 Jack Linke New Issue
2014-07-13 18:35 Jack Linke File Added: SQLite3 Demo.zip
2014-07-13 19:08 Jack Linke Note Added: 0076207
2014-07-13 22:24 Jonas Maebe Project FPC => Lazarus
2014-07-18 21:15 Jack Linke Tag Attached: sqlite
2014-07-31 10:30 Reinier Olislagers Note Added: 0076398
2014-07-31 23:14 Maxim Ganetsky Fixed in Revision => 46000
2014-07-31 23:14 Maxim Ganetsky LazTarget => -
2014-07-31 23:14 Maxim Ganetsky Note Added: 0076402
2014-07-31 23:14 Maxim Ganetsky Status new => resolved
2014-07-31 23:14 Maxim Ganetsky Fixed in Version => 1.4
2014-07-31 23:14 Maxim Ganetsky Resolution open => fixed
2014-07-31 23:14 Maxim Ganetsky Assigned To => Maxim Ganetsky
2014-08-01 01:08 Jack Linke Note Added: 0076403
2014-08-01 01:10 Jack Linke Note Added: 0076404
2014-08-01 01:10 Jack Linke Status resolved => closed